# JADE-Bootstrap
[Bootstrap](http://getbootstrap.com) framework written completely using mixins in [Pug](http://pugjs.org)

[![Build Status](https://travis-ci.org/rajasegar/JADE-Bootstrap.svg?branch=master)](https://travis-ci.org/rajasegar/JADE-Bootstrap) 
[![npm](https://img.shields.io/npm/dm/jade-bootstrap.svg)](https://www.npmjs.com/package/jade-bootstrap)  
[![npm version](http://img.shields.io/npm/v/jade-bootstrap.svg?style=flat)](https://npmjs.org/package/jade-bootstrap "View this project on npm")
[![MIT license](http://img.shields.io/badge/license-MIT-brightgreen.svg)](http://opensource.org/licenses/MIT)

## Website
[JADE-Bootstrap](http://rajasegar.github.io/JADE-Bootstrap/) 

## Documentation
[Documentation](http://rajasegar.github.io/JADE-Bootstrap/) 

## Wiki
Go to [wiki](http://rajasegar.github.io/JADE-Bootstrap/) page

## Quickstart
  Several quick start options are available:
  * [Download the latest release] (https://github.com/rajasegar/JADE-Bootstrap/archive/master.zip)
  * Clone the repo: `git clone https://github.com/rajasegar/JADE-Bootstrap.git`.
  * Install with [Bower](http://bower.io/): `bower install jade-bootstrap`.
  * Install with [npm](https://www.npmjs.com/): `npm install jade-bootstrap`.

The quickest way to get started for NodeJS applications is with this [boilerplate](https://github.com/rajasegar/jadebootstrap-seed)

### What's included

Within the download you'll find the following directories and files, logically grouping common mixins. You'll see something like this:

```
bootstrap.pug
├── components/
│   ├── accordion.pug
│   ├── alerts.pug
│   ├── carousel.pug
│   ├── dropdowns.pug
│   ├── forms.pug
│   ├── icons.pug
│   ├── labels.pug
│   ├── list-groups.pug
│   ├── modal.pug
│   ├── navbar.pug
│   ├── navs.pug
│   ├── panels.pug
│   ├── progress-bars.pug
│   ├── tables.pug
│   ├── tabs.pug
│   ├── toggle.pug
│   └── tooltips.pug
└── layouts/
    ├── blog.pug
    ├── carousel.pug
    ├── cover.pug
    ├── dashboard.pug
    ├── jumbotron.pug
    ├── jumbotron-narrow.pug
    ├── justified-nav.pug
    ├── navbar.pug
    ├── navbar_fixed.pug
    ├── navbar_static.pug
    ├── non-responsive.pug
    ├── offcanvas.pug
    ├── sign-in.pug
    ├── starter.pug
    ├── sticky-footer.pug
    ├── sticky-footer-navbar.pug
    └── theme-template.pug

```
  
  
## Features

  * Bootstrap set as the default UI framework
  * Pug set as the default Template engine
  * Focus on high performance
  * Super-speed development using Pug mixins
  * Some widely used sample layouts to start with.
